#include "C:\Temp\Zadani\TM1636.h" //knihovny
#include "C:\Temp\Zadani\TM1636.cpp"
#include <EEPROM.h>

TM1636 tm1636(7,8); //vytvoření objektu tm1636, který komunikuje na pinech 7 a 8
  float teplotaC,odpor, teplotaF; //různé proměné
  int senzor,B=3435,desitkyC,jednotkyC,desitkyF,jednotkyF;
  int8_t znak[4];
  boolean cf=true; //flag na přepínání mezi F a C jelikož tlačítko nešlo spustit (C=true, F=false)

void setup(){
  tm1636.init(); //vyčištění displeje
}
void loop() {
  senzor=analogRead(A0);                            //přečtení hodnoty z termistoru
  odpor=(float)(1023-senzor)*10000/senzor;          //vypočítání jeho odporu
  teplotaC=1/(log(odpor/10000)/B+1/298.15)-273.15;  //výpočet teloty ve stupních C
  teplotaC=round(teplotaC);                         //zaokrouhlení teploty

  teplotaF=(teplotaC+57.6)/1.8;//převod na stupně F
  teplotaF=round(teplotaF);//zaokrouhlení
  
  if (EEPROM.read(0)<teplotaC) //kontrola, jestli naměřená teplota není vyšší, než nejvyšší uložená
  EEPROM.write(0,teplotaC);    //pokud ano...zapíše se nový extrém
  if (EEPROM.read(1)>teplotaC) //kontrola, jestli naměřená teplota není nižší, než nejnižší uložená
  EEPROM.write(1,teplotaC);    //pokud ano...zapíše se nový extrém
  
 
  
if (analogRead(A1)>100) {//kontrola, jestli je lednička otavřená
  if (cf==true) {
    desitkyC=floor(teplotaC/10);//vytvoření cifry pro desítky C
    jednotkyC=teplotaC-desitkyC*10;//vytvoření cifry pro jednotky C
    int8_t znak[4]={0,desitkyC,jednotkyC,0};//Vytvoření proměné, která se zapíše na displej. Nevím jak zapsat C a F (mělo by to jít čísly 12 a 15, ale nefunguje to), takže místo C používám 0 a místo F používám 1
    tm1636.display(znak);//zapsání dříve vygenerované proměné na displej
  }
  
  if (cf==false) {
    desitkyF=floor(teplotaF/10);//vytvoření cifry pro desítky F
    jednotkyF=teplotaF-desitkyF*10;//vytvoření cifry pro jednotky F
    int8_t znak[4]={0,desitkyF,jednotkyF,1};//Vytvoření proměné, která se zapíše na displej. Nevím jak zapsat C a F (mělo by to jít čísly 12 a 15, ale nefunguje to), takže místo C používám 0 a místo F používám 1
    tm1636.display(znak);//zapsání dříve vygenerované proměné na displej
    }
}

else {//pokud je zavřená:
  tm1636.init(); //vyčištění displeje
  }
}




